Bug 167523 - Need X11 interface compiled
Need X11 interface compiled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nethack (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-03 18:39 EDT by BandC
Modified: 2016-09-19 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 17:04:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description BandC 2005-09-03 18:39:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.02

Description of problem:
nethack in Extras is compiled with just tty support. Please re-compile it with 
X11 support also. qt and gnome interfaces would be nice as well id possible to 
add.


Version-Release number of selected component (if applicable):
nethack-3.4.3-1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Expected Results:  nethack in Extras is compiled with just tty support. Please re-compile it with 
X11 support also. qt and gnome interfaces would be nice as well if possible to 
add.


Additional info:
Comment 1 Luke Macken 2005-09-08 17:04:43 EDT
nethack-3.4.3-3 is built in the devel branch with x11 support.  Give me a couple
of days and I'll have it built for FC-{2,3,4} as well. 

As far as the gnome/qt interfaces go, I really don't think we should build those
into this package.  IMHO, they look pretty shoddy, and I highly doubt they are
very widely used.

Vulture's Eye will be in extras shortly, which will provide all of the nethack
'eye candy', while we will try and keep the vanilla nethack package sane, and
[mostly] textual.
Comment 2 BandC 2005-09-08 21:02:23 EDT
Thanks.
Comment 3 Luke Macken 2005-09-12 15:55:09 EDT
NetHack with X11 support is now built for FC-3 and FC-4.

Note You need to log in before you can comment on or make changes to this bug.